summaryrefslogtreecommitdiff
path: root/src/hub/test-srv-ro
diff options
context:
space:
mode:
authorChristian Pointner <equinox@spreadspace.org>2017-05-06 02:30:32 +0200
committerChristian Pointner <equinox@spreadspace.org>2017-05-06 02:30:32 +0200
commit24ffb0a92710acf49119378486409ca3c13ea8de (patch)
tree8c845dc638c7ea2c9c55e579101c24a089aff359 /src/hub/test-srv-ro
parentfix last commit (diff)
parenthandling for forwarder hubs works now (diff)
Merge branch 'bolt'
Diffstat (limited to 'src/hub/test-srv-ro')
-rwxr-xr-xsrc/hub/test-srv-ro13
1 files changed, 13 insertions, 0 deletions
diff --git a/src/hub/test-srv-ro b/src/hub/test-srv-ro
new file mode 100755
index 0000000..56fe440
--- /dev/null
+++ b/src/hub/test-srv-ro
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 <db-name>"
+ exit 1
+fi
+
+TEST_D="./test"
+TEST_DB="$TEST_D/$1.bolt"
+
+mkdir -p "$TEST_D"
+rm -f "$TEST_D/pipe" "$TEST_D/pipegram"
+exec ./bin/sfive-hub -db "$TEST_DB" -read-only -start-pipe-server -pipe "$TEST_D/pipe" -start-pipegram-server -pipegram "$TEST_D/pipegram" -start-web-server -bind=":8000"